/*--Paleta em variáveis--*/
:root {
    --pink: #f1a5b1;
    --pink-dark: #d98a9c;
    --dark: #0b0a0a;
    --light: #ffffff;
    --white-50: rgba (248,248,248,0.5);
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    width: 100%;
    height: 100vh;
    background-image: url('./img/wallpaper.png');
    background-size: cover;
    color: #ffffff;
    display: flex;
    flex-direction: column;
    align-items: center;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Andada Pro', serif;
}

p, button {
    font-family: 'Archivo', sans-serif;
}

.header {
    width: 80%;
    height: 176px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header .nav-links {
    display: flex;
    gap: 24px;
}

.nav-links .link {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: var(--white-50);
    border: 1px solid var(--light);
    scale: 1.17;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all ease .5s;
}

.header .nav-links .link:hover {
    background-color: var(--pink);
}

main {
    width: 80%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-self: center;
}

.conteudo {
    width: 100%;
    height: 100%;
    display: flex;
}

.descricao {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.descricao .titulo {
    font-size: 64px;
    line-height: 70px;
    margin-bottom: 32px;
    width: 400px;
}

.descricao .titulo-chapeu {
    font-size: 20px;
    line-height: 30px;
    margin-bottom: 20px;
}

.descricao p {
    font-size: 20px;
    line-height: 36px;
    margin-bottom: 32px;
}

.botoes {
    width: 100%;
    height: 52px;
    display: flex;
    align-items: center;
    gap: 24px;
}

.botao {
    width: 240px;
    height: 52px;
    border: 1px solid var(--pink);
    background-color: transparent;
    color: var(--light);
    border-radius: 8px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    font-size: 18px;
    font-weight: 700;
    transition: all ease .5s;
}

.botao-primario {
    background: var(--pink);
    color: var(--dark);
}

.ilustracao {
    width: 100%;
    height: 100%;
    background-image: url(./Img/image.svg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

/* Efeito hover */
.link:hover {
    background-color: var(--pink);
}

.botao-primario:hover, .botao-secundario:hover{
        background-color: var(--light);
        color: var(--dark);
        border-color: transparent;
}

/* Responsividade */
@media (max-width:1200px) {
    body {
        width: 100%;
        height: 100%;
        padding-inline: 5%;
        margin-bottom: 20px;
    }
    .conteudo {
        flex-direction: column;
    }
    .ilustracao {
        order: 1;
        height: 424px;
        background-size: contain;
    }
    .descricao {
        order: 2;
    }
}

@media (max-width:768px) {
    .header {
        width: 100%;
        height: 128px;
    }
    .header .logo {
        height: 64px;
    }
    .ilustracao {
        height: 240px;
    }
    .descricao .titulo {
        font-size: 40px;
        line-height: 44px;
        font-weight: 800px;
        width: 270px;
    }
    .descricao .titulo-chapeu {
        font-size: 40px;
        line-height: 44px;
        font-weight: 800px;
        width: 270px;
    }
    .descricao p {
        font-size: 16px;
        line-height: 24px;
        font-weight: 500;
    }
    .botoes {
        flex-direction: column;
        height: 100%;
    }
    .botao {
        width: 100%;
    }
}

@media (max-width:500px) {
    .header {
        justify-content: center;
    }
    .header .nav-links {
        display: none;
    }
}

@media (max-width:390px) {
    .header {
        height: 96px;
    }
    .header .logo {
        height: 48px;
    }
    .ilustracao {
        height: 184px;
    }
}

